$(document).ready(function() {
	
	var color0 = ['#74ac03','#ffb667','#ff6567'];
	var color1 = ['#bdd153','#ff7c00','#e70003'];
	

	function roundMe(n, sig) {
		if (n === 0) return 0;
		var mult = Math.pow(10, sig - Math.floor(Math.log(n < 0 ? -n: n) / Math.LN10) - 1);
		return Math.round(n * mult) / mult;
	 }
	 
	 function buildGraph(selid) {
		 
		 if (selid!=''){
			 var s = selid.split('-');
			 
			var newdata = '';
			var curyear = 0;
			$(".anticorrupt_answer").each( function(){
				$(this).removeClass('anticorrupt_answer');
				$(this).addClass("anticorrupt_off");
				var d = $(this).attr('id').split('-');
				newdata = newdata + $(this).html() + '=' + d[3]+  ';';
				curyear = d[1];
			});
			
			newdata = newdata.split(';');
			var newdataarray = [];
			var elements = [];
			var votes = [];
			for (var i = 0; i < newdata.length-1; i++) {
				if (temp!=''){
					var temp = newdata[i].split('=');
					elements[i] = temp[0];
					votes[i] = temp[1];
					if (s[2]==i){
						votes[i]++;
					}
				}
			}
	
	
			var total = 0;
			for (var i = 0; i < votes.length; i++) {
				if (votes[i]!=''){
					total = parseInt(total) + parseInt(votes[i]);
				}
			}
			
			var sum = 0;
			var votesdatax = [];
			for (var i = 0; i < votes.length; i++) {
				if (votes[i]!=''){
					votes[i] = roundMe(parseInt(votes[i])*100/parseInt(total),4);
					votesdatax.push({
							name: elements[i],
							y:  Math.round(votes[i]),
							color: {
								linearGradient: { cx: 0.5, cy: 0.3, r: 0.7  },
								stops: [
									[0, color0[i]],
									[1, color1[i]]
								]
							}
						});	
					sum = sum + votes[i];
				}
			}
			if (sum<100){votes[0] = parseInt(votes[0]) + 100 - parseInt(sum);}
			
			$("#anticorrupt_answer-"+s[1]+"-"+s[2]+"-"+s[3]).addClass("anticorrupt_selected");
			
		 }else{

			var newdata = '';
			$(".anticorrupt_answer").each( function(){
				var d = $(this).attr('id').split('-');
				newdata = newdata + $(this).html() + '=' + d[3]+  ';';
				curyear = d[1];
			});
			
			newdata = newdata.split(';');
			var newdataarray = [];
			var elements = [];
			var votes = [];
			for (var i = 0; i < newdata.length-1; i++) {
				if (temp!=''){
					var temp = newdata[i].split('=');
					elements[i] = temp[0];
					votes[i] = temp[1];
				}
			}
	
	
			var total = 0;
			for (var i = 0; i < votes.length; i++) {
				if (votes[i]!=''){
					total = parseInt(total) + parseInt(votes[i]);
				}
			}
			
			var sum = 0;
			var votesdatax = [];
			for (var i = 0; i < votes.length; i++) {
				if (votes[i]!=''){
					votes[i] = roundMe(parseInt(votes[i])*100/parseInt(total),4);
					votesdatax.push({
							name: elements[i],
							y:  Math.round(votes[i]),
							color: {
								linearGradient: { cx: 0.5, cy: 0.3, r: 0.7  },
								stops: [
									[0, color0[i]],
									[1, color1[i]]
								]
							}
						});	
					sum = sum + votes[i];
				}
			}

			
			if (sum<100){votes[0] = parseInt(votes[0]) + 100 - parseInt(sum);}
		 }

		// Radialize the colors
		Highcharts.getOptions().colors = Highcharts.map(Highcharts.getOptions().colors, function(color) {
			return {
				radialGradient: { cx: 0.5, cy: 0.3, r: 0.7 },
				stops: [
					[0, color],
					[1, Highcharts.Color(color).brighten(-0.3).get("rgb")] // darken
				]
			};
		});
		
		// Build the chart
		$("#chart1").highcharts({
			chart: {
				plotBackgroundColor: null,
				plotBorderWidth: null,
				plotShadow: false
			},
			title: {
				text: "  "+curyear+"  ("+total+" )"
			},
			tooltip: {
				pointFormat: "" //{series.name}: <b>{point.percentage:.1f}%</b>
			},
			plotOptions: {
				pie: {
					allowPointSelect: true,
					cursor: "pointer",
					dataLabels: {
						enabled: true,
						color: "#000000",
						connectorColor: "#000000",
						formatter: function() {
							return "<b>"+ this.point.name +"</b>: "+ roundMe(this.percentage,2)+"%";
						}
					}
				}
			},
			series: [{
				type: "pie",
				name: " ",
				data: votesdatax
			}]
		});
	 }////buildGraph
	 
	 function buildGraph2(extdata) {
		var ed = extdata.split('#');
		
		var curyear = ed[0];
		var elements = ed[1].split(';');
		var votes = ed[2].split(';');
		 
		var total = 0;
		for (var i = 0; i < votes.length; i++) {
			if (votes[i]!=''){
				total = parseInt(total) + parseInt(votes[i]);
			}
		}
		
		var sum = 0;
		var votesdatax = [];
		for (var i = 0; i < votes.length; i++) {
			if (votes[i]!=''){
				votes[i] = roundMe(parseInt(votes[i])*100/parseInt(total),4);
				votesdatax.push({
						name: elements[i],
						y:  Math.round(votes[i]),
						color: {
							linearGradient: { cx: 0.5, cy: 0.3, r: 0.7  },
							stops: [
								[0, color0[i]],
								[1, color1[i]]
							]
						}
					});	
				sum = sum + votes[i];
			}
		}
		if (sum<100){votes[0] = parseInt(votes[0]) + 100 - parseInt(sum);}
		

		// Radialize the colors
		Highcharts.getOptions().colors = Highcharts.map(Highcharts.getOptions().colors, function(color) {
			return {
				radialGradient: { cx: 0.5, cy: 0.3, r: 0.7 },
				stops: [
					[0, color],
					[1, Highcharts.Color(color).brighten(-0.3).get("rgb")] // darken
				]
			};
		});
		
		// Build the chart
		$("#chart2").highcharts({
			chart: {
				plotBackgroundColor: null,
				plotBorderWidth: null,
				plotShadow: false
			},
			title: {
				text: "[]   "+curyear+"  ("+total+" )"
			},
			tooltip: {
				pointFormat: "" //{series.name}: <b>{point.percentage:.1f}%</b>
			},
			plotOptions: {
				pie: {
					allowPointSelect: true,
					cursor: "pointer",
					dataLabels: {
						enabled: true,
						color: "#000000",
						connectorColor: "#000000",
						formatter: function() {
							return "<b>"+ this.point.name +"</b>: "+ roundMe(this.percentage,2)+"%";
						}
					}
				}
			},
			series: [{
				type: "pie",
				name: " ",
				data: votesdatax
			}]
		});
	 }////buildGraph 2
	 
 
	$(".anticorrupt_answer").live("click", function(){
		var s = $(this).attr('id').split('-');
		var selid = $(this).attr('id');
		var text = $(this).html();
	    if (confirm("  "+text+"?")) {
			$.post("acv-pr.php", "&mode=acvsetanswer&year=" + s[1] + "&num=" + s[2] + "&votes=" + s[3], function(theResponse){
				var x = theResponse.split('##');
				if (x[0]=='ok'){
					$("#chart1").show();
					$("#chart1").animate({
						height: "400px"
					  }, 500 );
					buildGraph(selid);
					$('.highcharts-button').hide();
					$('#acvtext1').hide();
					$('#acvresult').hide();
					$('#acvresult1').hide();
				}else{
					alert(x[1]);
				}
			});
		}
	});


	$("#acvresult").live("click", function(){
		$("#chart1").show();
		$("#chart1").animate({
			height: "400px"
		  }, 500 );
		buildGraph('');
		$('.highcharts-button').hide();
		$('#acvtext1').hide();
		$('#acvresult').hide();
		$('#acvresult1').hide();
	});
	
	$('#acvarchive').live("click", function(){
		$('#archivelist').fadeIn('fast');
	});

	$('#closearchivelist').live("click", function(){
		$('#archivelist').fadeOut('fast');
	});
	
	$(".openacvarchive").live("click", function(){
		var year = $(this).children('span').html();
		$("#chart2").show();
		$("#chart2").animate({
			height: "400px"
		  }, 500 );
		buildGraph2(year+'#'+$('#votevars'+year).val()+'#'+$('#votedata'+year).val());
		$('.highcharts-button').hide();
		$('#closearchivelist').click();
		$('#closechart2').fadeIn('fast');
	});
	
	$('#closechart2').live("click", function(){
		$("#chart2").animate({
			height: "1px"
		  }, 500 );
		$('#chart2').hide();
		$('#closechart2').fadeOut('fast');
	});
	
	
	

});

